"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = require("@pnpm/logger");
const pnpm_default_reporter_1 = require("pnpm-default-reporter");
const silentReporter_1 = require("./silentReporter");
exports.default = (reporterType, cmd, subCmd) => {
    switch (reporterType) {
        case 'default':
            pnpm_default_reporter_1.default(logger_1.streamParser, {
                appendOnly: false,
                cmd,
                subCmd,
                throttleProgress: 200,
            });
            return;
        case 'append-only':
            pnpm_default_reporter_1.default(logger_1.streamParser, {
                appendOnly: true,
                cmd,
                subCmd,
                throttleProgress: 1000,
            });
            return;
        case 'ndjson':
            logger_1.writeToConsole();
            return;
        case 'silent':
            silentReporter_1.default(logger_1.streamParser);
            return;
    }
};
//# sourceMappingURL=index.js.map